Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Updates an existing workflow with the provided data.
cURL
curl --request PATCH \ --url https://{baseUrl}/api/v1/api/workflows/{id} \ --header 'Content-Type: application/json' \ --data ' { "name": "Group Workflow" } '
import requests url = "https://{baseUrl}/api/v1/api/workflows/{id}" payload = { "name": "Group Workflow" } headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({name: 'Group Workflow'}) }; fetch('https://{baseUrl}/api/v1/api/workflows/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://{baseUrl}/api/v1/api/workflows/{id}" payload := strings.NewReader("{\n \"name\": \"Group Workflow\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "id": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "content": { "on": { "target": [ "<string>" ], "schedule": "disabled" }, "jobs": [ { "name": "<string>", "run": "<string>" } ], "name": "<string>" }, "isCanDelete": true, "isCanEdit": true }
Workspace ID
Name of the workflow
"Group Workflow"
Content of the workflow in JSON format
Show child attributes
File path for the workflow
"workflows/vulnerability-scan.yaml"
Updated workflow object